/*
 * File Constant.h
 */


#ifndef __CONSTANT_H
#define __CONSTANT_H

/*
 * System include files
 */
#include <_defs.h>
#include <_nfile.h>

#define NUMCHANNELS             2  // number of channels
#define NUMYGRIDLINES           8  // number of hor. grid lines
#define NUMXGRIDLINES          10  // number of vert. grid lines
#define CHANNEL1                0  // identifier for ch1
#define CHANNEL2                1  // identifier for ch2
#define CHANNEL3                2  // identifier for ch3 (for mixed channels)
//#define MULPLYFACTOR_HS508    256  // multiply factor for HS508
#define RAMSIZE_HS508       32767L // RAM size of HS508 = 32 Kbyte

#define SCOPEBOXOFFFROMLEFT     5  // Offsets with respects to both left and
                                   // right window borders
#define SCOPEBOXOFFFROMTOP      5  // offset from the top
#define OFFFROMSCOPEBOTTOM      5  // offset from the bottom

// Fix ScopeFrame offsets from window-borders
#define OFFSIGFRAMEFROMTOP     36  // offset of signal frame from the top
#define OFFSIGFRAMEFROMLEFT    67  // offset of the signal frame from the left
#define YROOMBUTTONS          148  // vertical space used by the menu buttons
#define OFFSIGFRAMEFROMBOT     40  // offset of the signal frame from the bottom
#define MAXSAMPLRES         65535L //
#define MAXSAMPLRESHALF	    32766L //
#define MAXVOLTDIVSTAND        13  // max number of V/div settings
#define MAXTIMEOUTSTAND	       14  // max number of trig timeout settings
#define MAXHYSSTAND	       12  // max number of trig hyst. settings
#define MAXTIMEDIVSTAND        18  // max number of sec/div settings
#define MAXSTANDPRESAMP        21  // max number of presample settings
#define MAXSTANDTIMEMAGN       15  // max number of time magnifier settings
#define MAXSAMPSTAND            6  // max number of rec.length settings
#define NUMTRIGPOS              5  // mag number of trigger positions
#define MAXPREUNITS            11  // max number of unit magnifiers (p, m, k etc)
#define MAXUNITSTAND           12  // minus other

#define NULLTERM             '\0'  // null terminator, to terminate strings


#endif //#ifndef Constant.h
