/*
 * File Measure.h ---> high-level measurement routines
 */

#ifndef __MEASURE_H
#define __MEASURE_H

/*
 * System include files
 */
#include <_defs.h>
#include <_nfile.h>

/*
 * Custom include files
 */
#include "types.h"


/*
 * Local High-Level Measurement Functions
 */
extern void InitializeTP112(void);
extern void ResetTP112(void);
extern void DeterminePrePostSamples( EQUIP_OVERALL_INFO* pOverallInfoLIVE,
                                     long* pNumPreSamples,
                                     long* pfNumPostSamples
                                   );
extern BOOL IsHardwarePresent(void);
extern void InitializeMeasurementDependencies(MEASDEP* pMeasDependencies);
extern void StartMeasuringTP112( MEASDEP* pMeasDependencies,
                                 EQUIP_OVERALL_INFO* pLIVEInfo
                               );

/*
 * Drawing routines and data-compression routines
 * Local function definitions
 */
extern void RetrieveDataFromBoard( TP112_MEASDEP* pMeasSettings );
extern void ExtractSamples( EQUIP_OVERALL_INFO* pLIVEInfo );
extern void CompressData( unsigned far* pSignalDataBlock,
                          unsigned far* pCompressData,
                          float fGainValue,
                          float fScrollBarOffset
                        );
extern void OrdinaryCompress( ZOOMSAMPRANGE ZoomSampleRange,
                              unsigned far* pSignalDataBlock,
                              unsigned far* pCompressData,
                              float fGainValue,
                              float fScrollBarOffset,
                              float fScreenAmplDivFactor
                            );
extern void DisplaySignalData( int nChannel );
extern void DisplayOldSignalData( int nChannel );
extern void DrawNewSignal( unsigned far* pNewSignalData,
                           unsigned far* pOldSignalData
                         );
extern void DrawOldSignal( unsigned far* pOldSignalData );
extern void DisplayMeasuredSignals( EQUIP_OVERALL_INFO* pLIVEInfo );
extern void DisplayOldMeasuredSignals( EQUIP_OVERALL_INFO* pLIVEInfo );
extern void DrawLine( int nXBegin, int nYBegin, int nXEnd, int nYEnd );

/*
 * Prototypes for interrupt functions
 */
extern void interrupt (*oldtimer)(...);
extern void interrupt newtimer(...);

#endif