/* File Addmath.c */

#include <_defs.h>
#include "math.h"
#include "float.h"


int  _Cdecl Round( double dInput );
long _Cdecl lRound( double dInput );
void _Cdecl SwapValues( int* pLowerValue, int* pUpperValue );

/* NAME:
 *   int _Cdecl Round (double dInput)
 * DESCRIPTION:
 *   This routine rounds a double to a 16 bits integer
 * INPUT PARAMETERS:
 *   dInput      the value to round
 * OUTPUT PARAMETERS:
 *   returnvalue the rounded value
 */
int _Cdecl Round( double dInput )
{
  double dFraction;

  dFraction = dInput - floor( dInput ); //floor finds the largest integer not > x
  if (dFraction >= 0.5)
    return ((int)(dInput + 1));
  else
    return ((int)(dInput));

} //Round

/* NAME:
 *   long _Cdecl Round (double dInput)
 * DESCRIPTION:
 *   This routine rounds a double to a 32 bits integer
 * INPUT PARAMETERS:
 *   dInput      the value to round
 * OUTPUT PARAMETERS:
 *   returnvalue the rounded value
 */
long _Cdecl lRound (double dInput)
{
  double dFraction;

  dFraction = dInput - floor (dInput);
  if (dFraction >= 0.5)
    return ((long)(dInput + 1));
  else
    return ((long)(dInput));

} //Round

/* NAME:
 *   void _Cdecl SwapValues (int* pLowerValue, int* pUpperValue)
 * DESCRIPTION:
 *   This routine swaps the two input parameters
 * INPUT PARAMETERS:
 *   pLowerValue   the first input parameter
 *   pUpperValue   the second input parameter
 * OUTPUT PARAMETERS:
 *   pLowerValue   the second input parameter
 *   pUpperValue   the first  input parameter
 */
void _Cdecl SwapValues (int* pLowerValue, int* pUpperValue)
{
  int nSwapValue;

   nSwapValue  = *pLowerValue;
  *pLowerValue = *pUpperValue;
  *pUpperValue =  nSwapValue;

} //SwapValues
