/*
 * File Ad_TPEx.h
 */

#ifndef __AD_TPEX_H
#define __AD_TPEX_H

/*
 * Custom include files
 */
#include "types.h"

/*
 * Local function declarations
 */
extern void SetReferenceVoltageAD( int Value1, int Value2 );
extern void FillReferenceAD( int nValue );
extern void SetPGA( BOOL bAC_DCCH1, BOOL bAC_DCCH2, long lValue );
extern void AdjustOffsetDA( int nChannelIndex, float fValue );
extern void FillLevelRegAd( int nHelp, BYTE byLevel, int nCh );
extern BOOL ReadEOCBit( void );
extern void SetPostCount( WORD wPostCount );
extern void SetTrigLevel( SLOPE Slope, BYTE byLevel, BYTE byHysteresis );
extern void SetTrigBit( void );
extern void SetTimeBase( float* fFreq );
extern void SetCalOutput( float* fFreq );
extern void ClearSRAM( void );
extern void GoToSRAMPos( long lSRAMPos );
extern void ReadSRAMData( TP508_MEASDEP* pMeasSettings );
extern void MeasureTP508( TP508_MEASDEP* pMeasSettings );
extern void DetermineOffset( void );
extern void FillPGAStands( long int PGAStand [NUMCHANNELS+1][6] );
extern long int DetermineMean( int nChannelIndex,
                               int nStand,
                               int nDeviation,
                               int nBeginValue
                             );
extern unsigned long CheckMeanMeasurementData( unsigned long lMeasValue,
                                               int nStand,
                                               int nDeviation,
                                               int nNumGain,
                                               int nChannelIndex,
                                               int nBeginValue
                                             );
extern void DetermineGain( void );
extern void DetermineGainCHX( int nChannelIndex,
                              long int PGAStand[NUMCHANNELS+1][6]
                            );
extern void Calibrate( BOOL* pbCalError );
extern void CalibrateOnce( BOOL* pbCalError );
extern BOOL Calibrate_TP508( void );
extern void DetermineTime( void );

#endif
