program ProgramMeasureTp208;
{$F+}
uses dos,
     crt,
     graph;
{$I VARTP112}
{$I HARDWARE}


var rYScaleFactor : real;

begin
  exitsave := exitproc;
  exitproc := @ProgramExit;
  clrscr;
  InitTp112;                                           {test for Hardware present, Calibrate TP112 and init arrays}
  MeasureSetting[MasterCard].Switch[Ch1] := Pga5V;    {Pga1Volt...Pga20Volt}
  MeasureSetting[MasterCard].Switch[Ch2] := Pga5V;    {Pga1Volt...Pga20Volt}
  MeasureSetting[MasterCard].AcDc[Ch1]   := CoupleAc;  {CoupleDc,CoupleAc}
  MeasureSetting[MasterCard].AcDc[Ch2]   := CoupleAC;  {CoupleDc,CoupleAc}
  MeasureSetting[MasterCard].TrigSource  := Ch1Trig;   {Ch1TRig,Ch2Trig,NoTrig,ExtTrig}
  MeasureSetting[MasterCard].TrigLevel   := 158;       {0...255}
  MeasureSetting[MasterCard].TrigHys     := 10;        {0...255}
  MeasureSetting[MasterCard].TrigHel     := PosSlope;  {PosSlope,NegSlope}
  MeasureSetting[MasterCard].PreSamples  := 200;       {0...MaxPreSamples}
  MeasureSetting[MasterCard].PostSamples := 200;       {0...MaxPostSamples}
  MeasureSetting[MasterCard].SampleFreq  := 1e4;       {1e-3...1e6}
  MeasureSetting[MasterCard].TimeOut     := 20;         {0...2147483647
                                                        TimeOut=10 means: wait 0.54 (10/18.2) sec. for triggering
                                                        If triggering not occurs after 0.54 sec start measuring}

  MeasureSetting[SlaveCard1]             := MeasureSetting[MasterCard];
  MeasureSetting[SlaveCard1].Switch[Ch1] := Pga5V;    {Pga10Volt,...Pga20Volt}
  MeasureSetting[SlaveCard1].Switch[Ch2] := Pga5V;    {Pga10Volt,...Pga20Volt}
  MeasureSetting[SlaveCard1].AcDc[Ch1]   := CoupleDc;  {CoupleDc,CoupleAc}
  MeasureSetting[SlaveCard1].AcDc[Ch2]   := CoupleDC;  {CoupleDc,CoupleAc}

  GraphDriver:=detect;
  initgraph(GraphDriver,GraphMode,'C:\ap\progtaal\BP\BGI');{or your own path}
  Errorcode:=graphresult;
  if errorcode<>grOk then
  begin
   Writeln('Graphics error:',GraphErrorMsg(ErrorCode));
   halt(1);
  end;
  setcolor(yellow);
  outtextxy(1,100,'CH1');
  setcolor(lightCyan);
  outtextxy(1,156,'CH2');
  setcolor(LightMagenta);
  outtextxy(1,355,'CH3');
  setcolor(LightGreen);
  outtextxy(1,411,'CH4');

  rYScaleFactor := GetMaxy / 4096;

  repeat
    StartMeasureTp112(MeasureSetting,MeasureData);
    SetColor(darkgray);
    line ( MeasureSetting[MasterCard].PreSamples + 1 + 100,
           0,
           MeasureSetting[MasterCard].PreSamples + 1 + 100,
           480 );
    for i:=-MeasureSetting[MasterCard].PreSamples+1 to MeasureSetting[MasterCard].PostSamples-1 do
    begin
     (*
      * Shift the signals vertical on the screen
      *)
      Offset := 480;
     (*
      * channel 1
      *)
      x := i + MeasureSetting[MasterCard].PreSamples + 1 + 100;
      setcolor(Black);
      line( x,
            round(-OldData[MasterCard][Ch1][i-1] * rYScaleFactor) + Offset,
            x,
            round(-OldData[MasterCard][Ch1][i] * rYScaleFactor) + Offset );
      setcolor(yellow);
      line( x,
            round(-MeasureData[MasterCard][Ch1][i-1] * rYScaleFactor) + Offset,
            x,
            round(-MeasureData[MasterCard][Ch1][i] * rYScaleFactor) + Offset );
      OldData[MasterCard][Ch1][i-1] := MeasureData[MasterCard][Ch1][i-1];

      setcolor(Black);
      line( x,
            round(-OldData[MasterCard][Ch2][i-1] * rYScaleFactor) + Offset,
            x,
            round(-OldData[MasterCard][Ch2][i] * rYScaleFactor) + Offset );
      setcolor(LightCyan);
      line( x,
            round(-MeasureData[MasterCard][Ch2][i-1] * rYScaleFactor) + Offset,
            x,
            round(-MeasureData[MasterCard][Ch2][i] * rYScaleFactor) + Offset );
      OldData[MasterCard][Ch2][i-1]:=MeasureData[MasterCard][Ch2][i-1];

      setcolor(Black);
      line( x,
            round(-OldData[SlaveCard1][Ch1][i-1] * rYScaleFactor) + Offset,
            x,
            round(-OldData[SlaveCard1][Ch1][i] * rYScaleFactor) + Offset );
      setcolor(LightMagenta);
      line( x,
            round(-MeasureData[SlaveCard1][Ch1][i-1] * rYScaleFactor) + Offset,
            x,
            round(-MeasureData[SlaveCard1][Ch1][i] * rYScaleFactor) + Offset );
      OldData[SlaveCard1][Ch1][i-1]:=MeasureData[SlaveCard1][Ch1][i-1];

      setcolor(Black);
      line( x,
            round(-OldData[SlaveCard1][Ch2][i-1] * rYScaleFactor) + Offset,
            x,
            round(-OldData[SlaveCard1][Ch2][i] * rYScaleFactor) + Offset );
      setcolor(Lightgreen);
      line( x,
            round(-MeasureData[SlaveCard1][Ch2][i-1] * rYScaleFactor) + Offset,
            x,
            round(-MeasureData[SlaveCard1][Ch2][i] * rYScaleFactor) + Offset );
      OldData[SlaveCard1][Ch2][i-1]:=MeasureData[SlaveCard1][Ch2][i-1];
    end;
    OldData[MasterCard][Ch1][i]:=MeasureData[MasterCard][Ch1][i];
    OldData[MasterCard][Ch2][i]:=MeasureData[MasterCard][Ch2][i];
    OldData[SlaveCard1][Ch1][i]:=MeasureData[SlaveCard1][Ch1][i];
    OldData[SlaveCard1][Ch2][i]:=MeasureData[SlaveCard1][Ch2][i];
  until keypressed;
  CloseGraph;
end.