
const
  {text const}
  Text1='Calibration error !';
  Text2='TP112 hardware not found';

  TP112AddressMaster : word = $300;{Base address of the Master card Tp112}
  TP112AddressSlave1 : word = $308;{Base address of the Slave card Tp112}
  MaxCardNr=2;
  MasterCard=1;
  SlaveCard1=2;
  PgaSwitchTime=3;{Delay time for swicthing the relais}

  {Posible Input voltage}
  Pga1250mV     = 0{1};
  Pga2500mV     = 1{2};
  Pga5V         = 2{3};
  Pga10V        = 3{4};
  Pga20V        = 4{5};

  {Settings constans}
  CoupleAC      = true;
  CoupleDC      = false;
  PosSlope      = true;
  NegSlope      = false;
  Ch1Trig       = 1;
  Ch2Trig       = 2;
  NoTrig        = 3;
  ExtTrig       = 4;
  CH1           = 1;
  CH2           = 2;

  {CONTROL registers and Data registers}
  ContReg  : array[1..3] of byte =(0,4,6);
  DataReg  : array[1..3] of byte =(1,5,7);

  {Value for CONTROL registers}
  PostLoCon        = 0;
  PostHiCon        = 1;
  OutputCon        = 2;
  TimebaseCon      = 3;
  ModeCon          = 4;
  ResetCon         = 5;
  CountCon         = 6;
  WriteTimebaseCon = 7;

  Level1ConAd      : array[1..2] of byte = (0, 0);
  Level2ConAd      : array[1..2] of byte = (1, 1);
  TrigLevelConAd   : array[1..2] of byte = (2, 2);
  PgaConAD         : array[1..2] of byte = (3, 3);
  DataZeroConAd    : array[1..2] of byte = (4, 4);
  IrqEnableConAd   : array[1..2] of byte = (5, 5);
  TrigResetConAd   : array[1..2] of byte = (6, 6);

  Level1RegAd      : array[1..2] of byte = (0, 0);
  Level2RegAd      : array[1..2] of byte = (0, 0);
  TrigLevelRegAd   : array[1..2] of byte = (0, 0);
  PgaRegAD         : array[1..2] of byte = (0, 0);

  ModeReg          : byte = 0;
  TimebaseReg      : byte = 0;


  {Maximun Pre and Post samples}
  MaxPreSamples=400;
  MaxPostSamples=400;

type
  Tp112SettingsType = record
                         SampleFreq : real;
                         PostSamples : longint;
                         PreSamples : longint;
                         TrigLevel  : byte;
                         TrigHys    : byte;
                         TrigHel    : boolean;
                         TrigSource : byte;
                       end;
  MeasureDataType = array[1..2,-MaxPreSamples..MaxPostSamples] of word;
  MeasureSettingsType = record
                          Switch     : array[1..2] of byte;
                          DcLevel    : array[1..2] of real;
                          AcDc       : array[1..2] of boolean;
                          SampleFreq : real;
                          PreSamples : integer;
                          PostSamples: integer;
                          TrigLevel  : byte;
                          TrigHys    : byte;
                          TrigHel    : boolean;
                          TrigSource : integer;
                          TimeOut    : longint;
                        end;
  MeasureSettingsArray = array[1..MaxCardNr] of MeasureSettingsType;
  MeasureDataArray = array[1..MaxCardNr] of MeasureDataType;
 var
  {For TP112}
  PgaSwitch      : array[1..2,0..4] of longint;
  PgaSwitchValue : array[0..4] of real;

  {For program}
  MeasureSetting : MeasureSettingsArray;
  MeasureData    : MeasureDataArray;
  OldData        : MeasureDataArray;
  x,i            : integer;
  TimerCount     : longint;
  ExitSave,
  Int1cSave      : pointer;
  GraphDriver    : integer;
  GraphMode      : integer;
  Errorcode      : integer;
  Offset         : integer;