program ProgramMeasureTp208;
{$F+}
uses dos,
     crt,
     graph;
{$I VARTP208}
{$I HARDWARE}


begin
  exitsave := exitproc;
  exitproc := @ProgramExit;
  clrscr;
  InitTp208;                                           {test for Hardware present, Calibrate TP208 and init arrays}
  MeasureSetting[MasterCard].Switch[Ch1] := Pga8volt;  {Pga20mVolt,Pga40mVolt...Pga80Volt}
  MeasureSetting[MasterCard].Switch[Ch2] := Pga8Volt;  {Pga20mVolt,Pga40mVolt...Pga80Volt}
  MeasureSetting[MasterCard].AcDc[Ch1]   := CoupleDc;  {CoupleDc,CoupleAc}
  MeasureSetting[MasterCard].AcDc[Ch2]   := CoupleDC;  {CoupleDc,CoupleAc}
  MeasureSetting[MasterCard].TrigSource  := Ch1Trig;   {Ch1TRig,Ch2Trig,NoTrig,ExtTrig}
  MeasureSetting[MasterCard].TrigLevel   := 128;       {0...255}
  MeasureSetting[MasterCard].TrigHys     := 10;        {0...255}
  MeasureSetting[MasterCard].TrigHel     := PosSlope;  {PosSlope,NegSlope}
  MeasureSetting[MasterCard].PreSamples  := 100;       {0...MaxPreSamples}
  MeasureSetting[MasterCard].PostSamples := 300;       {0...MaxPostSamples}
  MeasureSetting[MasterCard].DcLevel[ch1]:= 0;         {-4...+4}
  MeasureSetting[MasterCard].DcLevel[ch2]:= 0;         {-4...+4}
  MeasureSetting[MasterCard].SampleFreq  := 20e6;      {1e-3...20e6}
  MeasureSetting[MasterCard].TimeOut     := 10;        {0...2147483647
                                                        TimeOut=10 means: wait 0.54 (10/18.2) sec. for triggering
                                                        If triggering not occurs after 0.54 sec start measuring}

  MeasureSetting[SlaveCard1]             := MeasureSetting[MasterCard];
  MeasureSetting[SlaveCard1].Switch[Ch1] := Pga8Volt;  {Pga20mVolt,Pga40mVolt...Pga80Volt}
  MeasureSetting[SlaveCard1].Switch[Ch2] := Pga8Volt;  {Pga20mVolt,Pga40mVolt...Pga80Volt}
  MeasureSetting[SlaveCard1].AcDc[Ch1]   := CoupleDc;  {CoupleDc,CoupleAc}
  MeasureSetting[SlaveCard1].AcDc[Ch2]   := CoupleDC;  {CoupleDc,CoupleAc}
  MeasureSetting[SlaveCard1].DcLevel[ch1]:= 0;         {-4...+4}
  MeasureSetting[SlaveCard1].DcLevel[ch2]:= 0;         {-4...+4}


  GraphDriver:=detect;
  initgraph(GraphDriver,GraphMode,'C:\ap\BP\BGI');{or your own path}
  Errorcode:=graphresult;
  if errorcode<>grOk then
  begin
   Writeln('Graphics error:',GraphErrorMsg(ErrorCode));
   halt(1);
  end;
  setcolor(yellow);
  outtextxy(1,100,'CH1');
  setcolor(lightCyan);
  outtextxy(1,156,'CH2');
  setcolor(LightMagenta);
  outtextxy(1,355,'CH3');
  setcolor(LightGreen);
  outtextxy(1,411,'CH4');
  repeat
    StartMeasureTp208(MeasureSetting,MeasureData);
    for i:=-MeasureSetting[MasterCard].PreSamples+1 to MeasureSetting[MasterCard].PostSamples-1 do
    begin
     (*
      * Shift the signals vertical on the screen
      *)
      Offset:=356;
     (*
      * channel 1
      *)
      x := i + MeasureSetting[MasterCard].PreSamples + 1 + 100;
      setcolor(Black);
      line( x,-OldData[MasterCard][Ch1][i-1]+Offset,x,-OldData[MasterCard][Ch1][i]+Offset );
      setcolor(yellow);
      line( x,-MeasureData[MasterCard][Ch1][i-1]+Offset,x,-MeasureData[MasterCard][Ch1][i]+Offset );
      OldData[MasterCard][Ch1][i-1]:=MeasureData[MasterCard][Ch1][i-1];

      setcolor(Black);
      line(x,-OldData[MasterCard][Ch2][i-1]+Offset,x,-OldData[MasterCard][Ch2][i]+Offset);
      setcolor(LightCyan);
      line(x,-MeasureData[MasterCard][Ch2][i-1]+Offset,x,-MeasureData[MasterCard][Ch2][i]+Offset);
      OldData[MasterCard][Ch2][i-1]:=MeasureData[MasterCard][Ch2][i-1];

      Offset:=356;
      setcolor(Black);
      line(x,-OldData[SlaveCard1][Ch1][i-1]+Offset,x,-OldData[SlaveCard1][Ch1][i]+Offset);
      setcolor(LightMagenta);
      line(x,-MeasureData[SlaveCard1][Ch1][i-1]+Offset,x,-MeasureData[SlaveCard1][Ch1][i]+Offset);
      OldData[SlaveCard1][Ch1][i-1]:=MeasureData[SlaveCard1][Ch1][i-1];

      setcolor(Black);
      line(x,-OldData[SlaveCard1][Ch2][i-1]+Offset,x,-OldData[SlaveCard1][Ch2][i]+Offset);
      setcolor(Lightgreen);
      line(x,-MeasureData[SlaveCard1][Ch2][i-1]+Offset,x,-MeasureData[SlaveCard1][Ch2][i]+Offset);
      OldData[SlaveCard1][Ch2][i-1]:=MeasureData[SlaveCard1][Ch2][i-1];
    end;
    OldData[MasterCard][Ch1][i]:=MeasureData[MasterCard][Ch1][i];
    OldData[MasterCard][Ch2][i]:=MeasureData[MasterCard][Ch2][i];
    OldData[SlaveCard1][Ch1][i]:=MeasureData[SlaveCard1][Ch1][i];
    OldData[SlaveCard1][Ch2][i]:=MeasureData[SlaveCard1][Ch2][i];
    setcolor(Black);
    i:=MeasureSetting[MasterCard].PostSamples;
    Offset:=0;
    line(x,OldData[MasterCard][Ch1][i-1]+Offset,x,OldData[MasterCard][Ch1][i]+Offset);
    line(x,OldData[MasterCard][Ch2][i-1]+Offset,x,OldData[MasterCard][Ch2][i]+Offset);
    Offset:=256;
    line(x,OldData[SlaveCard1][Ch1][i-1]+Offset,x,OldData[SlaveCard1][Ch1][i]+Offset);
    line(x,OldData[SlaveCard1][Ch2][i-1]+Offset,x,OldData[SlaveCard1][Ch2][i]+Offset);

  until keypressed;
  CloseGraph;
end.