(*
 * This file contains: Type declarations
 *                     Variable declarations
 *                     Constant declarations
 *
 * for all sample programs.
 *)

const strText0         = 'Busy calibrating instrument. . .';
      strText1         = 'Calibration error!';
      strText2         = 'Hardware not found!';

      Ch1              = 1;
      Ch2              = 2;
      Cmp              = 3;
      Chop             = 4;
      Add              = 5;
      Alt              = 6;

      AC               = True;
      DC               = False;
      PosSlope         = True;
      NegSlope         = False;

      Ch1Trig          = 1;
      Ch2Trig          = 2;
      ExtTrig          = 3;
      Andtrig          = 4;
      OrTrig           = 5;
      NoTrig           = 6;

      MaxPreSamples    = 2000;
      MaxPostSamples   = 2000;


type  InstrumentSettingsType  = record
                                  rSampleFreq  : Real;
                                  lPostSamples : Longint;
                                  lPreSamples  : Longint;
                                  byTrigLevel  : array[Ch1..Ch2] of Byte;
                                  byTrigHys    : Byte;
                                  bTrigSlope   : Boolean;
                                  byTrigSource : Byte;
                                end;
      MeasurementSettingsType = record
                                  bySwitch     : array[Ch1..Ch2] of Byte;
                                  rDCLevel     : array[Ch1..Ch2] of Real;
                                  bCoupling    : array[Ch1..Ch2] of Boolean;
                                  rSampleFreq  : Real;
                                  lPreSamples  : Longint;
                                  lPostSamples : Longint;
                                  byTrigLevel  : array[Ch1..Ch2] of Byte;
                                  byTrigHys    : Byte;
                                  bTrigSlope   : Boolean;
                                  nTrigSource  : Integer;
                                  lTimeOut     : Longint;
                                  byMeasureMode: Byte;
                                  byTimebase   : Byte;
                                end;

      MeasurementDataType     = array[  Ch1..Ch2,
                                       -MaxPreSamples..MaxPostSamples
                                     ] of Word;


var   DeviceAddress    : Word;
      SclSdaByte       : Byte;
      PGASwitch        : array[Ch1..Ch2,1..12]   of Longint;
      PGASwitchValue   : array[1..12]            of Real;
      OffsetAD         : array[Ch1..Ch2]         of Real;
      ValueRef         : array[Ch1..Ch2+1,1..12] of Real;
      ValueDA          : array[Ch1..Ch2+1,1..12] of Real;

      MeasureSetting   : MeasurementSettingsType;
      MeasureData      : MeasurementDataType;
      lTimerCount      : Longint;
      Index            : Integer;
      ExitSave,
      int1Csave        : Pointer;

      nADValue1,
      nADValue2         : integer;